Package jaxe

# Class JaxeDocument.SwingElementSpec

java.lang.Object
jaxe.JaxeDocument.SwingElementSpec

Enclosing class:
  `JaxeDocument`

public class JaxeDocument.SwingElementSpec extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`balise`
`boolean`
`branche`
`ArrayList<JaxeDocument.SwingElementSpec>`
`enfants`
`String`
`texte`

## Constructor Summary

Constructors
Constructor
Description
`SwingElementSpec(String balise)`
`SwingElementSpec(String balise, int offset, String texte)`
`SwingElementSpec(String balise, SimpleAttributeSet att)`

## Method Summary

Modifier and Type
Method
Description
`void`
`ajEnfant(JaxeDocument.SwingElementSpec enfant)`
`ArrayList<DefaultStyledDocument.ElementSpec>`
`getElementSpecs()`
`String`
`getTexteArbre()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### balise

public String balise

### branche

public boolean branche

### texte

public String texte

### enfants

public ArrayList<JaxeDocument.SwingElementSpec> enfants

## Constructor Details

### SwingElementSpec

public SwingElementSpec(String balise)

### SwingElementSpec

public SwingElementSpec(String balise, SimpleAttributeSet att)

### SwingElementSpec

public SwingElementSpec(String balise, int offset, String texte)

## Method Details

### ajEnfant

public void ajEnfant(JaxeDocument.SwingElementSpec enfant)

### getElementSpecs

public ArrayList<DefaultStyledDocument.ElementSpec> getElementSpecs()

### getTexteArbre

public String getTexteArbre()